---

include:
  - project: 'bibliosansfrontieres/ci/lint/yaml'
    file: 'template.yml'
  - project: 'bibliosansfrontieres/ci/containers-release'
    file: 'template.yml'
    rules:
      - if: '$CI_COMMIT_BRANCH == "main"'
        changes:
          - Dockerfile
          - entrypoint.sh

variables:
  DOCKER_HUB_USER: '${DOCKER_HUB_USER_BIBLIOSANSFRONTIERES}'
  DOCKER_HUB_PASSWORD: '${DOCKER_HUB_PASSWORD_BIBLIOSANSFRONTIERES}'
  DOCKER_HUB_REPOSITORY: 'bibliosansfrontieres'
  IMAGE_NAME: 'ci_lint_yaml'

stages:
  - lint
  - release

default:
  tags:
    - k8s
